Bug 339871 - black screen with default configuration
black screen with default configuration
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-19 11:18 EDT by Michael Scherer
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-14 07:39:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg config file, minimal one (597 bytes, text/plain)
2007-10-19 11:56 EDT, Michael Scherer
no flags Details
the log of x11 when i see a blackscreen (45.04 KB, text/plain)
2007-10-19 12:00 EDT, Michael Scherer
no flags Details
xorg log without config file (21.04 KB, text/plain)
2007-10-23 18:00 EDT, Michael Scherer
no flags Details

  None (edit)
Description Michael Scherer 2007-10-19 11:18:45 EDT
Description of problem:
During fedora 7 installation, xorg is unable to work at all on a powerbook g4
titanium, 500 mhz powerpc. So i took fedora core 6, i installed with text mode
and upgraded to fedora 7. In order to launch X, I had to use fbdev driver. 
Using r128 result in a complet black screen, even if X seems to be running, as i
can switch to a tty to disable it.  

Every guide i have found on the internet speak of the r128 driver, so i guess
the autodetection is ok.

Version-Release number of selected component (if applicable):

How reproducible:
every time, at least on this laptop

Steps to Reproduce:
1. install fedora 7
Actual results:
black screen

Expected results:
normal screen

Additional info:

~ $ lspci   
0000:00:0b.0 Host bridge: Apple Computer Inc. UniNorth AGP
0000:00:10.0 VGA compatible controller: ATI Technologies Inc Rage Mobility M3
AGP 2x (rev 02)
0001:10:0b.0 Host bridge: Apple Computer Inc. UniNorth PCI
0001:10:17.0 Class ff00: Apple Computer Inc. KeyLargo Mac I/O (rev 03)
0001:10:18.0 USB Controller: Apple Computer Inc. KeyLargo USB
0001:10:19.0 USB Controller: Apple Computer Inc. KeyLargo USB
0001:10:1a.0 CardBus bridge: Texas Instruments PCI1211
0002:24:0b.0 Host bridge: Apple Computer Inc. UniNorth Internal PCI
0002:24:0e.0 FireWire (IEEE 1394): Apple Computer Inc. UniNorth FireWire (rev 01)
0002:24:0f.0 Ethernet controller: Apple Computer Inc. UniNorth GMAC (Sun GEM)
(rev 01)
~ $ lspci -n
0000:00:0b.0 0600: 106b:0020
0000:00:10.0 0300: 1002:4c46 (rev 02)
0001:10:0b.0 0600: 106b:001f
0001:10:17.0 ff00: 106b:0022 (rev 03)
0001:10:18.0 0c03: 106b:0019
0001:10:19.0 0c03: 106b:0019
0001:10:1a.0 0607: 104c:ac1e
0002:24:0b.0 0600: 106b:001e
0002:24:0e.0 0c00: 106b:0018 (rev 01)
0002:24:0f.0 0200: 106b:0021 (rev 01)

I am gonna post the xorg.log and the xorg.conf file.
Comment 1 Michael Scherer 2007-10-19 11:56:20 EDT
Created attachment 232701 [details]
xorg config file, minimal one
Comment 2 Michael Scherer 2007-10-19 12:00:08 EDT
Created attachment 232711 [details]
the log of x11 when i see a blackscreen
Comment 3 Matěj Cepl 2007-10-22 12:48:15 EDT
Try not using FBDev and use "ati" driver instead (although, it seems that you
are right and it should be r128). What are the results?

Actually, could you try even to run X without any /etc/X11/xorg.conf whatsoever?
It should work. If it doesn't than it is bug and we have to do something about it.
Comment 4 Michael Scherer 2007-10-23 17:59:37 EDT
With ati, same problem.

And without config, X do not start, see the attached log file. I will try to
update to fedora 8 during the week.
Comment 5 Michael Scherer 2007-10-23 18:00:44 EDT
Created attachment 235641 [details]
xorg log without config file
Comment 6 Michael Scherer 2007-10-31 19:56:03 EDT
I have updated to fedora 8, and I still see the same problem and same log file.
Comment 7 Matěj Cepl 2007-11-01 05:10:43 EDT
Have you tried to run Xorg without a config file? Any changes?
Comment 8 Michael Scherer 2007-11-14 07:39:21 EST
Laptop died 3 days ago, blackscreen on boot, so I guess i can close this bug as
NOTABUG, as no one confirmed the problem, so it may be a hardware problem :/

Note You need to log in before you can comment on or make changes to this bug.